Subject: Re: bug#22090: Isearch is sluggish and eventually refuses further service with "[Too many words]".

From: Random832 <[email-masked]>
Date: Fri, 4 Dec 2015 15:49:43 +0000 (UTC)

On 2015-12-04, Artur Malabarba <[email-masked]> wrote:
> This was necessary because the logic created a regexp with
> 2^(length of the string) redundant paths.  So, when a very
> long string "almost" matched, Emacs took a very long time to
> figure out that it didn't.  This became particularly relevant
> because isearch's lazy-highlight does a search bounded by (1-
> match-end) (which, in most circumstances, is a search that
> almost matches).  A recipe for this can be found in bug#22090.

So has any thought been given to implementing folding searches
via matching a simple regexp against a projected version of the
buffer rather than the current mechanism of creating a regexp
that will always match when it should?